<div class="header header--white header--font-white">
  <div class="header__nav">
  </div>
  <div class="header__center">
    <h1 class="header__title my-2">
      {{#if button.isMine}}
        MI BOTÓN
        {{#if button.active}}
          (Activado)
        {{else}}
          (Desactivado)
        {{/if}}
      {{else}}
        BOTÓN DE {{creatorName}}
        {{#unless button.active}}
          (Desactivado)
        {{/unless}}
      {{/if}}
    </h1>
  </div>
  <div class="header__nav">
    <button class="header__button" {{action 'markerClick'}}>
      {{svg-jar "cross" class="icon icon--white"}}
    </button>
  </div>
</div>

<button class="button-file__container" {{action 'closeButtonFile' preventDefault=false}}>
  <div class="button-file__container--scrollable">
    <div class="button-file__card-button" {{action 'cardClick' preventDefault=false}}>
      {{#if showButtonFile}}
        {{button-card
          allowEdit=allowEdit
          showProfile=showProfile
          routeType=routeType
          button=button
          hideShare=showButtonFile
          creator=button.creator
          creatorAvatar=button.creator.avatar
          classNames="button-file__card-button"
          isButtonFile=true
          removeButtonTransition=(action 'removeButtonTransition')
          isProfile=(not showNormalChat)
        }}
        <div class="button-file__button-arrow"></div>
        {{#if button.hasNotifications}}
          <span class="button-file__notif-circle"></span>
        {{/if}}
        <div class="button-file__below-buttons row mt-3 pb-3">
            <div class="col-12 button-file__yellow-circle-container px-0">
            {{#unless button.isMine}}
                <div class="col-12">
                  <div class="mb-3 conv_container">
                    <button {{action 'conversationOptions' 'helpbuttons' buttonUrl.encoded}} type="button" name="button" class="button button-file__conv-link button-file__chat {{accessDenied}}">
                      <div class="button-circle__content">
                        <div class="button-circle__icon">
                          {{svg-jar "chat_black" class="svg-icon"}}
                        </div>
                      </div>
                      <div class="button-circle__label">
                        {{button.chatsCounter}} chat
                      </div>
                    </button>
                    {{#if button.hasNotifications}}
                      <a href="" class="notif-circle {{unless button.isMine "button-file__yellow-circle-disabled"}}">
                      </a>
                    {{/if}}
                    {{#if useTelegram}}
                      <button {{action 'conversationOptions' 'telegram' buttonUrl.encoded}} type="button" name="button" class="button button-file__conv-link {{accessDenied}}">
                        {{svg-jar "telegram" class="svg-icon"}}
                      </button>
                    {{/if}}
                    {{#if useWhatsapp}}
                      <button {{action 'conversationOptions' 'whatsapp' buttonUrl.encoded}} type="button" name="button" class="button button-file__conv-link {{accessDenied}}">
                        {{svg-jar "whatsapp-brands" class="svg-icon"}}
                      </button>
                    {{/if}}
                  </div>
                </div>
              {{else}}
                <div class="col-12">
                  <div class="mb-3 conv_container">
                    <!-- <a href="#buttonChats" {{action "scrollToBottom"}} class="button-circle {{unless button.isMine "button-file__yellow-circle-disabled"}}"> -->
                        <button {{action "scrollToBottom"}} type="button" name="button" class="button button-file__conv-link button-file__chat{{unless button.chats "disabled"}} {{accessDenied}}">
                            <div class="button-circle__content">
                              <div class="button-circle__icon">
                                {{svg-jar "chat_black" class="svg-icon"}}
                              </div>
                            </div>
                            <div class="button-circle__label">
                              {{button.chatsCounter}} chat
                            </div>
                        </button>
                        {{#if button.hasNotifications}}
                          <a href="" class="notif-circle {{unless button.isMine "button-file__yellow-circle-disabled"}}">
                          </a>
                        {{/if}}
                    <button {{action bigButtonAction}}  class="button-file__yellow-circle button-file__yellow-circle--big-circle  button-file__conv-link {{buttonClass}} {{accessDenied}}">
                      {{svg-jar "switch" class="svg-icon"}}
                    </button>
                  </div>
                </div>
              {{/unless}}
          </div>
          {{#unless isSmallDevice}}
          <!-- <div class="col-3 button-file__yellow-circle-container">
            <button {{action 'toggleProperty' 'showButtonFile'}} class="button-circle {{accessDenied}}">
              <div class="button-circle__content">

                </div>
              </div>
            </button>
          </div> -->
          {{/unless}}
        </div>

        <div class="col-12">
        </div>
        <a id="buttonChats"></a>
        {{#if buttonIsMine}}
          <div class="row button-file__messages-container">
            {{#each chatsComp as |chat|}}
              {{chat-card
                chat=chat
                button=button
                showNormalChat=showNormalChat
              }}
            {{/each}}
          </div>
        {{/if}}
      {{else}}
        {{button-new-share
          button=button
          toggleProperty=(action 'toggleProperty')
          isButtonFile=true
          isShowingOptions=true
          hideShare=showButtonFile
          closeAction=(action 'closeButtonFile')
          socialShareTransition=socialShareTransition
          socialShareNetwork=socialShareNetwork
          socialShareURL=socialShareURL
        }}
      {{/if}}
    </div>
  </div>
</button>
{{yield}}
